Bug 728833 - Missing closedir calls
Summary: Missing closedir calls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 05:20 UTC by Pavel Raiskup
Modified: 2011-12-06 15:30 UTC (History)
4 users (show)

Fixed In Version: policycoreutils-2.0.83-19.13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 15:30:59 UTC


Attachments (Terms of Use)
Fix missing calls of closedir causing resource leak. (877 bytes, patch)
2011-08-08 05:24 UTC, Pavel Raiskup
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1637 normal SHIPPED_LIVE policycoreutils bug fix and enhancement update 2011-12-06 00:50:40 UTC

Description Pavel Raiskup 2011-08-08 05:20:05 UTC
These errors have occurred in el6.2 (found in coverity difference scan el6.1/el6.2).

Error: Missing closedir in these error cases.
sandbox/seunshare.c:775
sandbox/seunshare.c:788

Comment 1 Pavel Raiskup 2011-08-08 05:24:48 UTC
Created attachment 517096 [details]
Fix missing calls of closedir causing resource leak.

Comment 3 Daniel Walsh 2011-09-06 18:29:04 UTC
Fixed in policycoreutils-2.0.83-19.13.el6

Comment 7 Pavel Raiskup 2011-09-21 07:46:13 UTC
I have looked into new Coverity results and reported problem was resolved.

Comment 8 errata-xmlrpc 2011-12-06 15:30:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1637.html


Note You need to log in before you can comment on or make changes to this bug.